> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# adobe-experience-manager-folders

> Adobe AEM Folders - create, list, and delete folders

**Server path:** `/adobe-experience-manager-folders` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                | Description                                 |
| ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------- |
| [`adobe_experience_manager_folders_create_folders`](#adobe_experience_manager_folders_create_folders)               | Creates new folders at the specified paths. |
| [`adobe_experience_manager_folders_delete_by_path`](#adobe_experience_manager_folders_delete_by_path)               | Delete folder(s) by path                    |
| [`adobe_experience_manager_folders_delete_folder`](#adobe_experience_manager_folders_delete_folder)                 | Delete folder by its ID                     |
| [`adobe_experience_manager_folders_get_by_path`](#adobe_experience_manager_folders_get_by_path)                     | List folders at the specified path          |
| [`adobe_experience_manager_folders_get_folder_by_id`](#adobe_experience_manager_folders_get_folder_by_id)           | List folders under the specified folder ID  |
| [`adobe_experience_manager_folders_get_folder_job_result`](#adobe_experience_manager_folders_get_folder_job_result) | Get the results of a completed job          |
| [`adobe_experience_manager_folders_get_folder_job_status`](#adobe_experience_manager_folders_get_folder_job_status) | Get the status of an async job              |

***

## adobe\_experience\_manager\_folders\_create\_folders

Creates new folders at the specified paths.

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "path": {
              "type": "string",
              "description": "The path of the folder to be created"
            },
            "title": {
              "type": "string",
              "description": "The title of the folder to be created"
            }
          },
          "required": [
            "path"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## adobe\_experience\_manager\_folders\_delete\_by\_path

Delete folder(s) by path

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                            |
| ----------- | --------- | -------- | ------- | ------------------------------------------------------ |
| `force`     | boolean   | No       | —       | If true, delete the directory even if it is referenced |
| `paths`     | string\[] | Yes      | —       | The path of the folder to be deleted                   |
| `recursive` | boolean   | No       | —       | If true, delete the directory and all descendants      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "force": {
        "type": "boolean",
        "description": "If true, delete the directory even if it is referenced"
      },
      "paths": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The path of the folder to be deleted"
      },
      "recursive": {
        "type": "boolean",
        "description": "If true, delete the directory and all descendants"
      }
    },
    "required": [
      "PCID",
      "paths"
    ]
  }
  ```
</Expandable>

***

## adobe\_experience\_manager\_folders\_delete\_folder

Delete folder by its ID

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                            |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------ |
| `folderId`  | string  | Yes      | —       | ID of the folder to access                             |
| `recursive` | boolean | No       | —       | If true, delete the directory and all descendants      |
| `force`     | boolean | No       | —       | If true, delete the directory even if it is referenced |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "string",
        "description": "ID of the folder to access"
      },
      "recursive": {
        "type": "boolean",
        "description": "If true, delete the directory and all descendants"
      },
      "force": {
        "type": "boolean",
        "description": "If true, delete the directory even if it is referenced"
      }
    },
    "required": [
      "PCID",
      "folderId"
    ]
  }
  ```
</Expandable>

***

## adobe\_experience\_manager\_folders\_get\_by\_path

List folders at the specified path

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `If-None-Match` | string  | No       | —       | The `If-None-Match` header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is "\*", or having a selected representation with an entity tag that does not match any of those listed in the field value.  For more details, please head over to [RFC9110](https://www.rfc-editor.org/rfc/rfc9110.html#name-if-none-match). |
| `path`          | string  | No       | —       | Path of the folder from which to list the children.                                                                                                                                                                                                                                                                                                                                                                                                 |
| `limit`         | integer | No       | —       | For a paginated request, this parameter defines the maximum number of items to retrieve.                                                                                                                                                                                                                                                                                                                                                            |
| `cursor`        | string  | No       | —       | When the number of results for a request exceeds the allowed limit, the response will include a `cursor`.  That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.                                                                                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "If-None-Match": {
        "type": "string",
        "description": "The `If-None-Match` header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is \"*\", or having a selected representation with an entity tag that does not match any of those listed in the field value.  For more details, please head over to [RFC9110](https://www.rfc-editor.org/rfc/rfc9110.html#name-if-none-match)."
      },
      "path": {
        "type": "string",
        "description": "Path of the folder from which to list the children."
      },
      "limit": {
        "type": "integer",
        "description": "For a paginated request, this parameter defines the maximum number of items to retrieve."
      },
      "cursor": {
        "type": "string",
        "description": "When the number of results for a request exceeds the allowed limit, the response will include a `cursor`.  That value can then be sent via this parameter on a subsequent request to retrieve the next set of items."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## adobe\_experience\_manager\_folders\_get\_folder\_by\_id

List folders under the specified folder ID

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `folderId`      | string  | Yes      | —       | ID of the folder to access                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `If-None-Match` | string  | No       | —       | The `If-None-Match` header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is "\*", or having a selected representation with an entity tag that does not match any of those listed in the field value.  For more details, please head over to [RFC9110](https://www.rfc-editor.org/rfc/rfc9110.html#name-if-none-match). |
| `limit`         | integer | No       | —       | For a paginated request, this parameter defines the maximum number of items to retrieve.                                                                                                                                                                                                                                                                                                                                                            |
| `cursor`        | string  | No       | —       | When the number of results for a request exceeds the allowed limit, the response will include a `cursor`.  That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.                                                                                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "string",
        "description": "ID of the folder to access"
      },
      "If-None-Match": {
        "type": "string",
        "description": "The `If-None-Match` header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is \"*\", or having a selected representation with an entity tag that does not match any of those listed in the field value.  For more details, please head over to [RFC9110](https://www.rfc-editor.org/rfc/rfc9110.html#name-if-none-match)."
      },
      "limit": {
        "type": "integer",
        "description": "For a paginated request, this parameter defines the maximum number of items to retrieve."
      },
      "cursor": {
        "type": "string",
        "description": "When the number of results for a request exceeds the allowed limit, the response will include a `cursor`.  That value can then be sent via this parameter on a subsequent request to retrieve the next set of items."
      }
    },
    "required": [
      "PCID",
      "folderId"
    ]
  }
  ```
</Expandable>

***

## adobe\_experience\_manager\_folders\_get\_folder\_job\_result

Get the results of a completed job

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `jobId`   | string | Yes      | —       | ID of a backend asynchronous job |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "jobId": {
        "type": "string",
        "description": "ID of a backend asynchronous job"
      }
    },
    "required": [
      "PCID",
      "jobId"
    ]
  }
  ```
</Expandable>

***

## adobe\_experience\_manager\_folders\_get\_folder\_job\_status

Get the status of an async job

**Parameters:**

| Parameter | Type   | Required | Default | Description                      |
| --------- | ------ | -------- | ------- | -------------------------------- |
| `jobId`   | string | Yes      | —       | ID of a backend asynchronous job |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "jobId": {
        "type": "string",
        "description": "ID of a backend asynchronous job"
      }
    },
    "required": [
      "PCID",
      "jobId"
    ]
  }
  ```
</Expandable>
